## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate pep508_rs

Name:           rust-pep508_rs
Version:        0.6.1
Release:        %autorelease
Summary:        Library for python dependency specifiers, better known as PEP 508

License:        Apache-2.0 OR BSD-2-Clause
URL:            https://crates.io/crates/pep508_rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused Python bindings
# * drop unused rkyv support
Patch:          pep508_rs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for python dependency specifiers, better known as PEP 508.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/License-Apache
%license %{crate_instdir}/License-BSD
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+non-pep508-extensions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+non-pep508-extensions-devel %{_description}

This package contains library source intended for building other packages which
use the "non-pep508-extensions" feature of the "%{crate}" crate.

%files       -n %{name}+non-pep508-extensions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1; Fixes RHBZ#2276358

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2; Fixes RHBZ#2263213

* Wed Feb 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-2
- Revert breaking upstream change (pep440_rs v0.3 -> v0.4 update)

* Thu Feb 01 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4; Fixes RHBZ#2262269

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3; Fixes RHBZ#2241059

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-1
- Update to version 0.2.1; Fixes RHBZ#2196313

* Sun Apr 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.5-1
- Initial import (#2187682)
## END: Generated by rpmautospec
